Loading...
Searching...
No Matches
auth_passwd_t Struct Reference

User data structure. More...

`#include <auth_plugin.h>`

## Data Fields

unsigned | apw_index
| Key to hash table.
void const * | apw_type
| Magic identifier.
char const * | apw_user
| Username.
char const * | apw_realm
| Realm.
char const * | apw_pass
| Password.
char const * | apw_hash
| MD5 of the username, realm and pass.
char const * | apw_ident
| Identity information.
auth_uplugin_t * | apw_extended
| Method-specific extension.

## Detailed Description

User data structure.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.